function PD:UpdateStats(line)

	if line == "Arcane Resistance" then
		local _,dmg,_,_ = UnitResistance("player",6)
		var = dmg

	elseif line == "Armor" then
		local _,dmg,_,_ = UnitResistance("player",0)
		var = dmg

	elseif line == "Ranged Attack Speed" then
		local rangedAttackSpeed, _, _, _, _, _ = UnitRangedDamage("player")
		var = format("%.2f", rangedAttackSpeed)

	elseif line == "Fire Resistance" then
		local _,dmg,_,_ = UnitResistance("player",2)
		var = dmg

	elseif line == "Frost Resistance" then
		local _,dmg,_,_ = UnitResistance("player",4)
		var = dmg

	elseif line == "Holy Resistance" then
		local _,dmg,_,_ = UnitResistance("player",1)
		var = dmg

	elseif line == "Mainhand Attack Speed" then
		local speed, _ = UnitAttackSpeed("player")
		if not speed then
			speed = 0
		end
		var = format("%.2f", speed)

	elseif line == "% Melee Crit Chance" then
		var = format("%.2f", GetCritChance())

	elseif line == "Melee Hit Rating" then
		var = GetCombatRating(6)

	elseif line == "% Melee Hit Rating" then
		var = format("%.2f", GetCombatRatingBonus(6))

	elseif line == "MP5" then
		local base, casting = GetManaRegen()
		var = math.floor(base*5).."/"..math.floor(casting*5)

	elseif line == "Nature Resistance" then
		local _,dmg,_,_ = UnitResistance("player",3)
		var = dmg

	elseif line == "Offhand Attack Speed" then
		local _, speed = UnitAttackSpeed("player")
		if not speed then
			speed = 0
		end
		var = format("%.2f", speed)

	elseif line == "% Ranged Crit Chance" then
		var = format("%.2f", GetRangedCritChance())

	elseif line == "Ranged Hit Rating" then
		var = GetCombatRating(7)

	elseif line == "% Ranged Hit Rating" then
		var = format("%.2f", GetCombatRatingBonus(7))

	elseif line == "Resilience" then
		local melee = GetCombatRating(CR_CRIT_TAKEN_MELEE)
		local ranged = GetCombatRating(CR_CRIT_TAKEN_RANGED)
		local spell = GetCombatRating(CR_CRIT_TAKEN_SPELL)
		local minResilience = min(melee, ranged)
		local minResilience = min(minResilience, spell);
		var = minResilience

	elseif line == "Shadow Resistance" then
		local _,dmg,_,_ = UnitResistance("player",5)
		var = dmg

	elseif line == "% Spell Crit Chance" then
		local spellCrit;
		local holySchool = 2;
		local minCrit = GetSpellCritChance(holySchool);
		this.spellCrit = {};
		this.spellCrit[holySchool] = minCrit;
		for i=(holySchool+1), 7 do
			spellCrit = GetSpellCritChance(i);
			minCrit = min(minCrit, spellCrit);
			this.spellCrit[i] = spellCrit;		
		end
		minCrit = format("%.2f", minCrit);
		var = minCrit

	elseif line == "Spell Hit Rating" then
		var = GetCombatRating(8)

	elseif line == "% Spell Hit Rating" then
		var = format("%.2f", GetCombatRatingBonus(8))

	end
	return var
end
